> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Daily schedule stats

> This endpoint retrieves daily schedule stats for a specific location and date.

- The `q[`appointment_type_id_eq`]` is used to capture the schedule stats based on appointment types id passed.



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations/{location_id}/daily/schedule_stats
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations/{location_id}/daily/schedule_stats:
    get:
      tags:
        - Daily
      summary: Daily schedule stats
      description: "This endpoint retrieves daily schedule stats for a specific location and date.\n\n- The\_`q[`appointment_type_id_eq`]`\_is used to capture the schedule stats based on appointment types id passed."
      operationId: locations_resources_stats_daily_schedule_stats
      parameters:
        - name: location_id
          in: path
          required: true
          description: The ID of the location for which patients are to be retrieved.
          schema:
            type: string
        - name: date
          in: query
          required: false
          description: "A parameter to specifiy the date to get data from, following the format\_**YYYY-MM-DD.**"
          schema:
            type: string
            format: date
            example: '2023-05-01'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tenant:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: number
                          type:
                            type: string
                          attributes:
                            type: object
                            properties:
                              title:
                                type: string
                              third_party_id:
                                type: number
                              owner:
                                type: object
                                properties:
                                  data:
                                    type: object
                                    properties:
                                      id:
                                        type: number
                                      type:
                                        type: string
                                      attributes:
                                        type: object
                                        properties:
                                          name:
                                            type: string
                  date:
                    type: string
                    example: datetime
                  hrs_capacity:
                    type: number
                  hrs_filled:
                    type: number
                  hrs_available:
                    type: number
                  fill_rate:
                    type: string
                    example: percentage
              example:
                tenant:
                  data:
                    id: 0
                    type: string
                    attributes:
                      title: string
                      third_party_id: 0
                      owner:
                        data:
                          id: 0
                          type: string
                          attributes:
                            name: string
                date: datetime
                hrs_capacity: 0
                hrs_filled: 0
                hrs_available: 0
                fill_rate: percentage
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
        '429':
          description: >-
            Concurrency limit exceeded. The request was not executed; retry is
            safe.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                  sync_type:
                    type: string
                    enum:
                      - initial
                      - incremental
                  max_concurrent_locations:
                    type: integer
                  active_location_ids:
                    type: array
                    items:
                      type: integer
                  retry_after_seconds:
                    type: integer
              example:
                errors: >-
                  Too many locations syncing concurrently. At most 5 locations
                  may have initial sync requests in flight at a time.
                sync_type: initial
                max_concurrent_locations: 5
                active_location_ids:
                  - 101
                  - 102
                  - 103
                  - 104
                  - 105
                retry_after_seconds: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````